## quotatool 1.1.3

=== Makefile ===
#
# Mike Glover
# mpg4@duluoz.net
#
# Makefile for quotatool
#
#


#
# BEGIN setting variables
#


# local configuration options
include ./local.mk


# keep track of our current location
dir        :=   $(srcdir)


# these get built by the included dir.mk's
dirs       :=   .
srcs       := 
libs       :=
inc        :=
auto       :=   $(wildcard $(dir)/*.in)
objs        =   $(srcs:.c=.o)


# look for a dir.mk in these subdirectories
subdirs    :=   src


#
# END   setting variables
# BEGIN including subfiles
#

# include the fragment from each directory
-include $(foreach sdir,$(subdirs),$(dir)/$(sdir)/dir.mk)



#
# END including subfiles
# BEGIN rules
#

# clear out the suffix list and rewrite
.SUFFIXES:
.SUFFIXES: .c .o
.INTERMEDIATE: .d
.PHONY: all clean distclean dist install uninstall


# compile the program (and the objects)
all: $(prog)
$(prog): $(objs) 
	$(CC) -o $(prog) $(objs) $(libs) $(CFLAGS)



men   :=   $(wildcard $(srcdir)/man/*)
install: $(prog)
	$(NORMAL_INSTALL)
	$(INSTALL_PROGRAM) $(srcdir)/$(prog) $(bindir)/$(prog)
	$(foreach man,$(men),$(INSTALL_DATA) $(man) $(mandir)/man$(subst .,,$(suffix $(man)))/$(notdir $(man)))

uninstall:
	$(NORMAL_UNINSTALL)
	rm -f $(bindir)/$(prog)
	rm -f $(foreach man,$(notdir $(men)), $(mandir)/$(man))


distdir    :=   $(package)-$(version)
dist: distclean
	mkdir ./$(distdir)
	cp -R $(srcdir)/* ./$(distdir)
	rm -rf ./$(distdir)/$(distdir)
	tar -zcvf ./$(distdir).tar.gz $(distdir)
	rm -rf ./$(distdir)


cfixes     :=   ~ .o
clean: 
	rm -f $(foreach sfix,$(cfixes),$(addsuffix /*$(sfix),$(dirs)))
	rm -f $(addsuffix /core,$(dirs))
	rm -f $(prog) 


dcfixes    :=   .d  
distclean: clean
	rm -f $(foreach sfix,$(dcfixes),$(addsuffix /*$(sfix),$(dirs)))
	rm -f $(filter-out %/configure,$(auto:.in=))
	rm -f $(srcdir)/config.*
	rm -rf ./$(distdir) ./*.tar.gz


# include object dependencies
-include $(objs:.o=.d)


#
# END   rules
# BEGIN pattern rules
#



# create dependencies automatically from .c files
%.d: %.c
	$(srcdir)/tools/depend.sh $(CPPFLAGS) $< > $@


# create shared library from a collection of object
%.so: 
	$(CC) -shared -Xlinker -x -o $@ $^ $(libs)

## quotatool 1.4.7

=== Makefile ===
--- 
+++ 
@@ -76,9 +76,9 @@
 
 distdir    :=   $(package)-$(version)
 dist: distclean
-	mkdir ./$(distdir)
-	cp -R $(srcdir)/* ./$(distdir)
-	rm -rf ./$(distdir)/$(distdir)
+	mkdir ./.$(distdir)
+	cp -fR $(srcdir)/* ./.$(distdir)
+	mv ./.$(distdir) ./$(distdir)
 	tar -zcvf ./$(distdir).tar.gz $(distdir)
 	rm -rf ./$(distdir)

## quotatool 1.4.10

=== Makefile ===
--- 
+++ 
@@ -88,6 +88,8 @@
 	rm -f $(foreach sfix,$(cfixes),$(addsuffix /*$(sfix),$(dirs)))
 	rm -f $(addsuffix /core,$(dirs))
 	rm -f $(prog) 
+	rm -f $(foreach sfix,$(cfixes),$(addsuffix /*$(sfix),$(srcdir)/man))
+	rm -f $(foreach sfix,$(cfixes),$(addsuffix /*$(sfix),$(srcdir)/tools))
 
 
 dcfixes    :=   .d

## quotatool 1.4.12

=== Makefile ===
--- 
+++ 
@@ -65,8 +65,8 @@
 men   :=   $(wildcard $(srcdir)/man/*)
 install: $(prog)
 	$(NORMAL_INSTALL)
-	$(INSTALL_PROGRAM) $(srcdir)/$(prog) $(bindir)/$(prog)
-	$(foreach man,$(men),$(INSTALL_DATA) $(man) $(mandir)/man$(subst .,,$(suffix $(man)))/$(notdir $(man)))
+	$(INSTALL_PROGRAM) $(srcdir)/$(prog) $(DESTDIR)$(bindir)/$(prog)
+	$(foreach man,$(men),$(INSTALL_DATA) $(man) $(DESTDIR)$(mandir)/man$(subst .,,$(suffix $(man)))/$(notdir $(man)))
 
 uninstall:
 	$(NORMAL_UNINSTALL)
@@ -88,8 +88,8 @@
 	rm -f $(foreach sfix,$(cfixes),$(addsuffix /*$(sfix),$(dirs)))
 	rm -f $(addsuffix /core,$(dirs))
 	rm -f $(prog) 
-	rm -f $(foreach sfix,$(cfixes),$(addsuffix /*$(sfix),$(srcdir)/man))
-	rm -f $(foreach sfix,$(cfixes),$(addsuffix /*$(sfix),$(srcdir)/tools))
+	rm -f $(foreach sfix,$(cfixes),$(addsuffix /*$(sfix),$(DESTDIR)$(srcdir)/man))
+	rm -f $(foreach sfix,$(cfixes),$(addsuffix /*$(sfix),$(DESTDIR)$(srcdir)/tools))
 
 
 dcfixes    :=   .d

=== debian/changelog ===
quotatool (1:1.4.12-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:41:04 +0000

quotatool (1:1.4.12-2) unstable; urgency=low

  * Upload to remigrate to testing (see #773063)
  * Epoch increased to override new upstream version in unstable
  * Fix "Error while detecting kernel quota version" (closes: #711502)
    [patch a83c6d0d1bf623234e860dd7bfd3840c812fc32c.patch]
  * Bumped standard-version to 3.9.6 (no changes needed)

 -- Bas Zoetekouw <bas@debian.org>  Sun, 21 Dec 2014 21:54:03 +0100

quotatool (1.4.12-1) unstable; urgency=low

  * New upstream release
    - Fix inconsistent unit usage for XFS (Closes: #627733)
    - Support GB and TB size multipliers (Closes: #594951)
    - Fixed misc compiler warnings
  * Update policy to 3.9.3 (no changes required)
  * Upsteam moved to github, changed watch file accordingly
  * Updated debian/rules:
    - binary-arch now depends on build-stamp instead of on build
    - added build-arch and build-indep targets
    - removed patching code
  * Converted to source format 3.0 (quilt)

 -- Bas Zoetekouw <bas@debian.org>  Sun, 26 Feb 2012 12:06:07 +0100

quotatool (1.4.11-1) unstable; urgency=low

  * New upstream release

 -- Bas Zoetekouw <bas@debian.org>  Thu, 01 Oct 2009 09:00:57 +0200

quotatool (1.4.10-2) unstable; urgency=low

  * Bump standards-version to 3.8.3:
    - added Homepage field to control file
  * Fix reference to GPL common-licenses file

 -- Bas Zoetekouw <bas@debian.org>  Thu, 02 Jul 2009 13:45:01 +0200

quotatool (1.4.10-1) unstable; urgency=low

  * New upstream release
    - Fix for building on 64-bit systems
    - Bugfix off-by-one-error in parsing loop devices (thanks Bas Zoetekouw)
      [obsoletes 10_loop_fix.patch]
    - Bugfix commandline parsing with option -t
      (closes: #402900)
    - Updated manpage and usage info
  * Edited the long description a little bit.

 -- Bas Zoetekouw <bas@debian.org>  Thu, 27 Sep 2007 21:01:51 +0200

quotatool (1.4.9-3) unstable; urgency=low

  * Reworked debian/rules a bit to be able to easily add patches
  * Fixed off-by-1 error in processing of loopback mounted devices
    (closes: #417396) [10_loop_fix.patch]
  * Bumped the standards-version to 3.7.2 (no changes necessary)

 -- Bas Zoetekouw <bas@debian.org>  Tue, 07 Aug 2007 13:31:24 +0200

quotatool (1.4.9-2) unstable; urgency=low

  * I swear, something is eating my watch files.  Added one _again_.

 -- Bas Zoetekouw <bas@debian.org>  Tue, 21 Feb 2006 10:25:45 +0100

quotatool (1.4.9-1) unstable; urgency=low

  * New upstream release
    - Fixed a bug when fetching XFS quota for a user/group with no current
      usage/quota
  * Added a watch file (for real, this time ;) )
  * Moved from debhelper 3 to debhelper 5

 -- Bas Zoetekouw <bas@debian.org>  Mon, 20 Feb 2006 11:19:16 +0100

quotatool (1.4.8-1) unstable; urgency=low

  * New upstream release:
      - Fixed default units for -t option (closes: #274995)
  * Added a watch file
  * Bumped the Standards-Version to 3.6.2 (no changes necessary)

 -- Bas Zoetekouw <bas@debian.org>  Fri,  2 Sep 2005 09:23:21 +0200

quotatool (1.4.7-1) unstable; urgency=high

  * New upstream release
    - correctly detect XFS-enabled kernels (closes: #258289, #289812)
    - correctly display kBs instead of blocks in some cases
  * Boosted Standards-Version to 3.6.1 (no changes needed)

 -- Bas Zoetekouw <bas@debian.org>  Wed, 11 May 2005 11:24:21 +0200

quotatool (1.4.4-1) unstable; urgency=low

  * New upstream release
    - should be compatible with newer quota formats now 
      (closes: #222292, #165274)

 -- Bas Zoetekouw <bas@debian.org>  Wed, 11 Feb 2004 16:26:56 +0100

quotatool (1.3.2-2) unstable; urgency=low

  *  Package now uses config.{sub,guess} from autotools-misc.  This should fix
     build trouble on ia64 and s390.

 -- Bas Zoetekouw <bas@debian.org>  Sun, 18 May 2003 12:12:58 +0200

quotatool (1.3.2-1) unstable; urgency=low

  * New upstream release

 -- Bas Zoetekouw <bas@debian.org>  Thu,  1 May 2003 11:25:54 +0200

quotatool (1.3.0-1) unstable; urgency=low

  * New upstream release

 -- Bas Zoetekouw <bas@debian.org>  Sat,  4 May 2002 19:17:45 +0200

quotatool (1.2.99-beta-1.3.0-1) unstable; urgency=low

  * Upstream beta release (not uploaded)

 -- Bas Zoetekouw <bas@debian.org>  Sun, 21 Apr 2002 20:20:50 +0200

quotatool (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Bas Zoetekouw <bas@debian.org>  Sat,  9 Mar 2002 15:15:17 +0100

quotatool (1.1.3-1) unstable; urgency=low

  * New upstream release
  * Boosted standards-version to 3.5.6

 -- Bas Zoetekouw <bas@debian.org>  Tue, 22 Jan 2002 11:00:55 +0100

quotatool (1.1.1-5) unstable; urgency=low

  * Corrected spelling errors in descriptions (closes: #109630)

 -- Bas Zoetekouw <bas@debian.org>  Thu, 23 Aug 2001 17:57:57 +0200

quotatool (1.1.1-4) unstable; urgency=low

  * Entered wrong maintainer email address in the changelog of 1.1.1-3.
    Corrected that in this version.

 -- Bas Zoetekouw <bas@debian.org>  Sat, 21 Jul 2001 17:15:30 +0200

quotatool (1.1.1-3) unstable; urgency=low

  * Edited debian/rules to have config.sub and config.guess copied from
    the autotools-dev package. This solves build problems on hppa
    (closes: #104733).
  * Added Build-depends on autotools-dev.

 -- Bas Zoetekouw <bas@hst36148.phys.uu.nl>  Sat, 21 Jul 2001 16:24:03 +0200

quotatool (1.1.1-2) unstable; urgency=low

  * Removed Build-depends on libc6-dev 

 -- Bas Zoetekouw <bas@debian.org>  Mon,  9 Jul 2001 11:31:22 +0200

quotatool (1.1.1-1) unstable; urgency=low

  * Initial Release. (closes: #99380)

 -- Bas Zoetekouw <bas@debian.org>  Mon,  9 Apr 2001 11:08:29 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: quotatool
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bas Zoetekouw <bas@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>>5), autotools-dev
Homepage: http://quotatool.ekenberg.se/

Package: quotatool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: quota
Description: tool to edit disk quotas from the command line
 Quotatool is a utility to set filesystem quotas from the commandline. 
 Most quota-utilities are interactive, requiring manual intervention from the
 user.  Quotatool on the other hand is not, making it suitable for use in
 scripts and other non-interactive situations.  This is very useful to edit
 disk quotas from scripts.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE  )
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE )
DEB_BUILD_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS  )
ARCH                := $(shell dpkg-architecture -qDEB_BUILD_ARCH     )

# compiler flags, as described in Policy
CFLAGS += -Wall -Wshadow -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif
export CFLAGS

# some useful variables
TOPDIR      :=$(shell pwd)
PKGNAME     :=$(word 2,$(shell dpkg-parsechangelog | grep ^Source  ) )
FULLVERSION :=$(word 2,$(shell dpkg-parsechangelog | grep ^Version ) )
UPSTREAMVER :=$(shell echo $(FULLVERSION) | sed 's/-[0-9.]\+$$//' | sed 's/^0~//' )
BUILDDIR    :=build/


# not really unpack, but just links everything in build/
unpack: $(BUILDDIR)/COPYING
$(BUILDDIR)/COPYING:
	# unpack
	[ -d "$(BUILDDIR)" ] || mkdir "$(BUILDDIR)"
	/bin/sh debian/lndir.sh . $(BUILDDIR)
	rm -r $(BUILDDIR)/build
	rm -r $(BUILDDIR)/debian


build: build-arch build-indep
build-arch: build-stamp
build-indep:
build-stamp: $(BUILDDIR)/COPYING
	dh_testdir

	# config.sub and config.guess update
	rm -f $(BUILDDIR)/tools/config.sub
	rm -f $(BUILDDIR)/tools/config.guess
	cp /usr/share/misc/config.sub   $(BUILDDIR)/tools/config.sub
	cp /usr/share/misc/config.guess $(BUILDDIR)/tools/config.guess

	# configure
	cd $(BUILDDIR) && \
	./configure --host=$(DEB_HOST_GNU_TYPE) \
	            --build=$(DEB_BUILD_GNU_TYPE) \
	            --prefix=/usr \
	            --mandir=\$${prefix}/share/man \
		    --infodir=\$${prefix}/share/info \
		    --bindir=\$${prefix}/sbin

	# build
	cd $(BUILDDIR) && \
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	-rm -rf $(BUILDDIR)
	-rm -f *-stamp
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot

	dh_clean -k

	dh_installdirs

	cd $(BUILDDIR) && \
	$(MAKE) install prefix=$(TOPDIR)/debian/quotatool/usr


binary-indep:
	# nothing to do

binary-arch: build-stamp install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_strip
	dh_compress
	dh_fixperms
	dh_link
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install unpack

=== debian/watch ===
version=3

http://githubredir.debian.net/github/ekenberg/quotatool \
	.*/quotatool/v(.*).tar.gz

## quotatool 1.6.2

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 # these get built by the included dir.mk's
 dirs       :=   .
-srcs       := 
+srcs       :=
 libs       :=
 inc        :=
 auto       :=   $(wildcard $(dir)/*.in)
@@ -57,7 +57,7 @@
 
 # compile the program (and the objects)
 all: $(prog)
-$(prog): $(objs) 
+$(prog): $(objs)
 	$(CC) -o $(prog) $(objs) $(libs) $(CFLAGS)
 
 
@@ -65,7 +65,7 @@
 men   :=   $(wildcard $(srcdir)/man/*)
 install: $(prog)
 	$(NORMAL_INSTALL)
-	$(INSTALL_PROGRAM) $(srcdir)/$(prog) $(DESTDIR)$(bindir)/$(prog)
+	$(INSTALL_PROGRAM) $(srcdir)/$(prog) $(DESTDIR)$(sbindir)/$(prog)
 	$(foreach man,$(men),$(INSTALL_DATA) $(man) $(DESTDIR)$(mandir)/man$(subst .,,$(suffix $(man)))/$(notdir $(man)))
 
 uninstall:
@@ -77,22 +77,24 @@
 distdir    :=   $(package)-$(version)
 dist: distclean
 	mkdir ./.$(distdir)
-	cp -fR $(srcdir)/* ./.$(distdir)
+	cp -fR $(srcdir)/* ./.$(distdir) || true
+	rm -rf ./.$(distdir)/*johan*
+	rm -rf ./.$(distdir)/FILESYSTEMS
 	mv ./.$(distdir) ./$(distdir)
 	tar -zcvf ./$(distdir).tar.gz $(distdir)
 	rm -rf ./$(distdir)
 
 
 cfixes     :=   ~ .o
-clean: 
+clean:
 	rm -f $(foreach sfix,$(cfixes),$(addsuffix /*$(sfix),$(dirs)))
 	rm -f $(addsuffix /core,$(dirs))
-	rm -f $(prog) 
+	rm -f $(prog)
 	rm -f $(foreach sfix,$(cfixes),$(addsuffix /*$(sfix),$(DESTDIR)$(srcdir)/man))
 	rm -f $(foreach sfix,$(cfixes),$(addsuffix /*$(sfix),$(DESTDIR)$(srcdir)/tools))
 
 
-dcfixes    :=   .d  
+dcfixes    :=   .d
 distclean: clean
 	rm -f $(foreach sfix,$(dcfixes),$(addsuffix /*$(sfix),$(dirs)))
 	rm -f $(filter-out %/configure,$(auto:.in=))
@@ -117,6 +119,6 @@
 
 
 # create shared library from a collection of object
-%.so: 
+%.so:
 	$(CC) -shared -Xlinker -x -o $@ $^ $(libs)

=== debian/changelog ===
quotatool (1:1.6.2-6) unstable; urgency=medium

  * New maintainer. (Closes: #819476)
    d/compat:
      - Remove file.
    d/control:
      - Added Vcs-* URLs to salsa.debian.org.
      - Bumped DH level in Build-Depends field to 13.
      - Bumped Standards-Version to 4.6.1.
      - Updated Maintainer field with my name and email.
    d/copyright:
      - Include name new maintainer.
      - migrated to 1.0 format.
    d/rules:
      - Remove flag export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed.
    d/upstream:
      - Include file metadata.

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 08 Jun 2022 21:51:14 -0300

quotatool (1:1.6.2-5) unstable; urgency=medium

  * Fix kfreebsd build for real now (hopefully)

 -- Bas Zoetekouw <bas@debian.org>  Wed, 13 Feb 2019 23:14:07 +0100

quotatool (1:1.6.2-4) unstable; urgency=medium

  * Workaround kfreebsd bug by explicitly including stdint.h in the ufs code
    See #922266

 -- Bas Zoetekouw <bas@debian.org>  Wed, 13 Feb 2019 21:40:57 +0100

quotatool (1:1.6.2-3) unstable; urgency=low
  * Fix typo in 05_autoreconf.patch
  * Disable hurd, which is not supported by upstream

 -- Bas Zoetekouw <bas@debian.org>  Wed, 13 Feb 2019 09:07:17 +0100

quotatool (1:1.6.2-2) unstable; urgency=medium

  * Update compat level to 11
  * Update policy to 4.3.0
  * Extend build flags
  * Remove build-dependency on autotools-dev

 -- Bas Zoetekouw <bas@debian.org>  Tue, 12 Feb 2019 15:06:34 +0100

quotatool (1:1.6.2-1) unstable; urgency=medium

  * New upstream release
  * Fix watch file
  * Improve package description (Closes: #672848)
  * Modernize debian/rules and bump debhelper dependency and compat to 9
  * Improve error message when quota is turned off (Closes: #670642)
  * Update standards-version to 4.2.0
    - priority set to optional
    - add Rules-Requires-Root: no
  * Fix hardening compiler flags

 -- Bas Zoetekouw <bas@debian.org>  Thu, 09 Aug 2018 21:23:41 +0200

=== debian/control ===
Source: quotatool
Section: admin
Priority: optional
Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13),
Homepage: http://quotatool.ekenberg.se/
Vcs-Browser: https://salsa.debian.org/debian/quotatool
Vcs-Git: https://salsa.debian.org/debian/quotatool.git
Rules-Requires-Root: no

Package: quotatool
Architecture: linux-any kfreebsd-any knetbsd-any kopensolaris-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: quota
Description: non-interactive command line tool to edit disk quotas
 Quotatool is a utility for manipulating the Linux Diskquota system, which
 sets file system usage caps for users.
 .
 The "edquota" tool in the standard quota package goes through a text
 editor; "quotatool" on the other hand can set disk quotas directly from
 the command line, and is suitable for use in scripts and other
 non-interactive situations.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%quotatool-$1.tar.gz%" \
	https://github.com/ekenberg/quotatool/tags \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## quotatool 1.6.3

=== debian/changelog ===
quotatool (1:1.6.3-1) unstable; urgency=medium

  [ Fabio Augusto De Muzio Tobich ]
  * Import Upstream version 1.1.3
  * Import Upstream version 1.4.4
  * Import Upstream version 1.4.7
  * Import Upstream version 1.4.8
  * Import Upstream version 1.4.9
  * Import Upstream version 1.4.10
  * Import Upstream version 1.4.11
  * Import Upstream version 1.4.12
  * Import Upstream version 1.6.2

  [ Josenilson Ferreira da Silva ]
  * New upstream version 1.6.3
  * debian/control: Bumped Standards-Version to 4.6.2
  * debian/copyright: Updated copyright year
  * debian/docs: Added README file extension
  * debian/patches: Removed because they were fixed in the new version

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 07 Oct 2023 13:33:31 -0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
-Homepage: http://quotatool.ekenberg.se/
+Homepage: https://quotatool.ekenberg.se/
 Vcs-Browser: https://salsa.debian.org/debian/quotatool
 Vcs-Git: https://salsa.debian.org/debian/quotatool.git
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all future=+all qa=+all reproducible=+all
export DEB_CCFLAGS_MAINT_APPEND =  -Wall -Wextra -Wno-shadow -Werror -g

%:
	dh $@

## quotatool 1.6.4

=== debian/changelog ===
quotatool (1:1.6.4-1) unstable; urgency=medium

  * New upstream version 1.6.4

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 04 May 2024 10:04:12 -0300

## quotatool 1.6.5

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 
 # local configuration options
-include ./local.mk
+-include ./local.mk
 
 
 # keep track of our current location
@@ -58,15 +58,15 @@
 # compile the program (and the objects)
 all: $(prog)
 $(prog): $(objs)
-	$(CC) -o $(prog) $(objs) $(libs) $(CFLAGS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $(prog) $(objs) $(libs)
 
 
 
 men   :=   $(wildcard $(srcdir)/man/*)
 install: $(prog)
 	$(NORMAL_INSTALL)
-	$(INSTALL_PROGRAM) $(srcdir)/$(prog) $(DESTDIR)$(sbindir)/$(prog)
-	$(foreach man,$(men),$(INSTALL_DATA) $(man) $(DESTDIR)$(mandir)/man$(subst .,,$(suffix $(man)))/$(notdir $(man)))
+	$(INSTALL_PROGRAM) -D $(srcdir)/$(prog) $(DESTDIR)$(sbindir)/$(prog)
+	$(foreach man,$(men),$(INSTALL_DATA) -D $(man) $(DESTDIR)$(mandir)/man$(subst .,,$(suffix $(man)))/$(notdir $(man)))
 
 uninstall:
 	$(NORMAL_UNINSTALL)

=== debian/changelog ===
quotatool (1:1.6.5-2) unstable; urgency=medium

  * debian/patches/06_fix_kfreebsd_build.patch:
    -  Added tag Forwarded: not-needed
    -  Closing bug fixed in version 1:1.6.4-1 (Closes: #1070481)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 10 Aug 2024 17:00:50 -0300

quotatool (1:1.6.5-1) unstable; urgency=medium

  * New upstream version 1.6.5
  * debian/control: Bumped Standards-Version to 4.7.0
  * debian/control: Removed architecture knetbsd-any

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 10 Aug 2024 15:02:19 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13),
 Homepage: https://quotatool.ekenberg.se/
 Vcs-Browser: https://salsa.debian.org/debian/quotatool
@@ -10,7 +10,7 @@
 Rules-Requires-Root: no
 
 Package: quotatool
-Architecture: linux-any kfreebsd-any knetbsd-any kopensolaris-any
+Architecture: linux-any kfreebsd-any kopensolaris-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: quota
 Description: non-interactive command line tool to edit disk quotas
